diff -ru moin-1.2.2/MoinMoin/config.py moin-1.2.2jm/MoinMoin/config.py
--- moin-1.2.2/MoinMoin/config.py	2004-06-05 16:58:23.000000000 -0700
+++ moin-1.2.2jm/MoinMoin/config.py	2004-06-07 15:42:55.000000000 -0700
@@ -71,6 +71,7 @@
     'default_markup': 'wiki',
     'edit_locking': 'warn 10', # None, 'warn <timeout mins>', 'lock <timeout mins>'
     'edit_rows': 30,
+    'external_links_use_js': 0,
     'hosts_deny': [],
     'html_head': '',
     'html_pagetitle': None,
diff -ru moin-1.2.2/MoinMoin/formatter/text_html.py moin-1.2.2jm/MoinMoin/formatter/text_html.py
--- moin-1.2.2/MoinMoin/formatter/text_html.py	2004-06-05 16:58:16.000000000 -0700
+++ moin-1.2.2jm/MoinMoin/formatter/text_html.py	2004-06-07 15:46:31.000000000 -0700
@@ -76,22 +76,31 @@
         """
             Keyword params:
                 title - title attribute
+                external - is this link to an external site? 1 for yes, 0 for no
                 ... some more (!!! TODO) 
         """
         url = wikiutil.mapURL(url)
         pretty = kw.get('pretty_url', 0)
         title = kw.get('title', None)
+        external = kw.get('external', 0)
 
         if not pretty and wikiutil.isPicture(url):
             return '<img src="%s" alt="%s">' % (url,url)
 
         if text is None: text = url
 
+        href = wikiutil.escape(url, 1)
+        # anti-spam: if external, and 'external_links_use_js' is set, then
+        # use a Javascript trick to avoid conferring Google Page Rank.
+        href = wikiutil.escape(url, 1)
+        if external and config.external_links_use_js:
+            href = "javascript:location.href='%s'" % (href)
+
         # create link
         str = '<a'
         if css: str = '%s class="%s"' % (str, css)
         if title: str = '%s title="%s"' % (str, title)
-        str = '%s href="%s">%s</a>' % (str, wikiutil.escape(url, 1), text)
+        str = '%s href="%s">%s</a>' % (str, href, text)
 
         return str
 
diff -ru moin-1.2.2/MoinMoin/parser/wiki.py moin-1.2.2jm/MoinMoin/parser/wiki.py
--- moin-1.2.2/MoinMoin/parser/wiki.py	2004-06-05 16:58:31.000000000 -0700
+++ moin-1.2.2jm/MoinMoin/parser/wiki.py	2004-06-07 15:46:52.000000000 -0700
@@ -400,7 +400,8 @@
         if scheme in self.attachment_schemas:
             return self.attachment([word])
 
-        return self.formatter.url(word, text=self.highlight_text(word))
+        # treat all literal URLs as external links
+        return self.formatter.url(word, text=self.highlight_text(word), 'external', external=1)
 
 
     def _wikiname_bracket_repl(self, word):
@@ -439,7 +440,7 @@
         else:
             text = web.getLinkIcon(self.request, self.formatter, scheme)
             text += self.highlight_text(words[1])
-        return self.formatter.url(words[0], text, 'external', pretty_url=1, unescaped=1)
+        return self.formatter.url(words[0], text, 'external', pretty_url=1, unescaped=1, external=1)
 
 
     def _email_repl(self, word):
